Overview | Package | Class | Deprecated | Index | Help
| Groovy 1.7.0
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## groovy.lang
Class MissingFieldException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  groovy.lang.GroovyRuntimeException
                      groovy.lang.MissingFieldException

    class MissingFieldException
    extends GroovyRuntimeException

An exception occurred if a dynamic field dispatch fails with an unknown field. Note that the Missing*Exception classes were named for consistency and to avoid conflicts with JDK exceptions of the same name.

author:
  James Strachan

version:
  $Revision: 6817 $

Constructor Summary
`MissingFieldException(String field, Class type)`
`MissingFieldException(String field, Class type, Throwable e)`
`MissingFieldException(String message, String field, Class type)`

Method Summary
`String` | `getField()`
`Class` | `getType()`

Methods inherited from class GroovyRuntimeException
getLocationText, getMessage, getMessageWithoutLocationText, getModule, getNode, setModule

Methods inherited from class RuntimeException
printStackTrace, printStackTrace, printStackTrace, fillInStackTrace, getCause, initCause, toString, getMessage, getLocalizedMessage, getStackTrace, setStackTrace, wait, wait, wait, hashCode, getClass, equals, notify, notifyAll

Methods inherited from class Exception
printStackTrace, printStackTrace, printStackTrace, fillInStackTrace, getCause, initCause, toString, getMessage, getLocalizedMessage, getStackTrace, setStackTrace, wait, wait, wait, hashCode, getClass, equals, notify, notifyAll

Methods inherited from class Throwable
printStackTrace, printStackTrace, printStackTrace, fillInStackTrace, getCause, initCause, toString, getMessage, getLocalizedMessage, getStackTrace, setStackTrace, wait, wait, wait, hashCode, getClass, equals, notify, notifyAll

Methods inherited from class Object
wait, wait, wait, hashCode, getClass, equals, toString, notify, notifyAll

Constructor Detail

### MissingFieldException

    public MissingFieldException(String field, Class type)

### MissingFieldException

    public MissingFieldException(String field, Class type, Throwable e)

### MissingFieldException

    public MissingFieldException(String message, String field, Class type)

Method Detail

### getField

    public String getField()

  return:
    the name of the field that could not be found

### getType

    public Class getType()

  return:
    The type on which the field was attempted to be called

Copyright © 2003-2009 The Codehaus. All rights reserved.